tigase.server.sreceiver

## Class TaskInstanceCommand

- java.lang.Object
- - tigase.server.sreceiver.TaskInstanceCommand

- All Implemented Interfaces:
    TaskCommandIfc

      public class TaskInstanceCommand
      extends Object
      implements TaskCommandIfc

  Describe class TaskInstanceCommand here. Created: Fri May 18 22:45:40 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TaskInstanceCommand.ACTION` Enum description
    `static class` | `TaskInstanceCommand.ROSTER_ACTION` Enum description
    `static class` | `TaskInstanceCommand.USER_ACTION` Enum description

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ACTION_FIELD`
    `protected static String` | `CONFIRM`
    `protected static String` | `PENDING_MODERATIONS_FIELD`
    `protected static String` | `ROSTER_ACTION_FIELD`
    `protected static String` | `SUBSCRIBERS_FIELD`
    `protected static String` | `USER_ACTION_FIELD`

    - ### Fields inherited from interface tigase.server.sreceiver.TaskCommandIfc

      `STEP, TASK_NAME_FIELD, TASK_TYPE_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskInstanceCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Describe `getDescription` method here.
    `String` | `getNodeName()` Describe `getNodeName` method here.
    `void` | `processCommand(Packet packet, Packet result, StanzaReceiver receiv)` Describe `processCommand` method here.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTION_FIELD

          protected static final String ACTION_FIELD

      See Also:
        Constant Field Values

    - #### USER_ACTION_FIELD

          protected static final String USER_ACTION_FIELD

      See Also:
        Constant Field Values

    - #### CONFIRM

          protected static final String CONFIRM

      See Also:
        Constant Field Values

    - #### PENDING_MODERATIONS_FIELD

          protected static final String PENDING_MODERATIONS_FIELD

      See Also:
        Constant Field Values

    - #### SUBSCRIBERS_FIELD

          protected static final String SUBSCRIBERS_FIELD

      See Also:
        Constant Field Values

    - #### ROSTER_ACTION_FIELD

          protected static final String ROSTER_ACTION_FIELD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TaskInstanceCommand

          public TaskInstanceCommand()

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Description copied from interface: `TaskCommandIfc`
      Describe `getDescription` method here.
      Specified by:
        `getDescription` in interface `TaskCommandIfc`
      Returns:
        a `String` value

    - #### getNodeName

          public String getNodeName()

      Description copied from interface: `TaskCommandIfc`
      Describe `getNodeName` method here.
      Specified by:
        `getNodeName` in interface `TaskCommandIfc`
      Returns:
        a `String` value

    - #### processCommand

          public void processCommand(Packet packet,
                                     Packet result,
                                     StanzaReceiver receiv)

      Description copied from interface: `TaskCommandIfc`
      Describe `processCommand` method here.
      Specified by:
        `processCommand` in interface `TaskCommandIfc`
      Parameters:
        `packet` - a `Packet` value
        `result` - a `Packet` value
        `receiv` - a `StanzaReceiver` value

Copyright © 2022 "Tigase, Inc.". All rights reserved.